mscorlib 2.0.0.0 4.0.0.0 System.Enum System.Flags

For additional information about IMPLTYPEFLAGS, see the MSDN Library.

The common language runtime throws an exception when a COM method in native code returns an HRESULT. For more information, see How to: Map HRESULTs and Exceptions.

Defines the attributes of an implemented or inherited interface of a type.

- Field
  2.0.0.0
  4.0.0.0
  System.Runtime.InteropServices.ComTypes.IMPLTYPEFLAGS

  The interface or dispinterface represents the default for the source or sink.

- Field
  2.0.0.0
  4.0.0.0
  System.Runtime.InteropServices.ComTypes.IMPLTYPEFLAGS

  Sinks receive events through the virtual function table (VTBL).

- Field
  2.0.0.0
  4.0.0.0
  System.Runtime.InteropServices.ComTypes.IMPLTYPEFLAGS

  The member should not be displayed or programmable by users.

- Field
  2.0.0.0
  4.0.0.0
  System.Runtime.InteropServices.ComTypes.IMPLTYPEFLAGS

  This member of a coclass is called rather than implemented.